<?php
 echo "Entrez un nombre réel (ex: 2.3): ";
 fscanf(STDIN,"%f",$x);
 echo "Entrez la puissance entière (ex: 3) : ";
 fscanf(STDIN,"%d",$m);
 $compteur = 0 ;
 $resultat = 1 ;
 while ($compteur < $m)
 {
  $compteur++ ;
  $resultat = $resultat * $x ;
 }
 echo "$x ** $m = $resultat".PHP_EOL;
?>